commit dd5f40f50c02e8ef68ac9bbee3e94302e7baeed3
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Aug 27 09:37:01 2012 +0200

    bump to 1.3 release

commit 7a02aa4cbfe4c63bb9435cf9cab487bd1df10185
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Aug 26 21:22:15 2012 +0100

    mmio: Limit the uc- mapping to only map the registers
    
    In the future, we may like to enable wc mapping of at least the GATT,
    and so causing a conflict if we attempt to map the entire bar as uc-
    here. Obviously we need a better fallback plan, but for the moment only
    attempt to map the portion of the pci space that we use for register
    access.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit a4783f9485f78c80e7cc1eb041634b4b8a3aa4b9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Aug 26 21:22:14 2012 +0100

    intel_gtt: Harden against changes to kernel mappings of the GTT
    
    Rather than use the common mmio segment which will be in future
    restricted to just the registers and so exclude the GTT portion on all
    architectures, explicitly mmap the GTT ourselves. Repeat this mmapping
    with a couple of flags until we matching the existing kernel mapping.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 3d148e164d498d81cc3990c85b65afee8bcca3b8
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sat Aug 25 00:01:27 2012 +0200

    s/NO_PID/NOP_ID
    
    Alan typo'ed it, I've failed to notice :(

commit 1b5fd314fd474827373f6f48fa11fcb60687f5a2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 24 14:02:04 2012 -0700

    Add --disable-nouveau option for platforms without nouveau support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 4cdfa8e9b7177a12d7d693207be52a6c999236ef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 24 14:02:03 2012 -0700

    flip_test: add cast to pacify Solaris Studio compiler
    
    Fixes build error:
    "flip_test.c", line 180: improper pointer/integer combination: op "="
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 6b3e6f28d2ba738fd2677b6c3e4f7ec03d9a463a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 24 14:02:02 2012 -0700

    Rename NOPID to NO_PID to avoid conflict with Solaris NOPID
    
    Solaris <sys/types.h> already has #define NOPID (pid_t)(-1)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 99fdba921ed88381ab721b15299e637366042465
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 24 14:02:01 2012 -0700

    Fall back to CLOCK_MONOTONIC on systems without CLOCK_MONOTONIC_RAW
    
    Solaris has not yet adopted this Linux extension
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit e40146878e4cf74a96fd0c42342065f7cd85fa97
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Aug 24 23:18:48 2012 +0200

    Revert "tests: disable nouveau if unavailable"
    
    This reverts commit dd8325323bfcca1f742e864ca7d87101a0d59936.
    
    I like the patch from Alan Coopersmith with an explicit disable
    option better.

commit dd8325323bfcca1f742e864ca7d87101a0d59936
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Fri Aug 24 22:55:20 2012 +0200

    tests: disable nouveau if unavailable

commit 425940be1d894459cead9aaf211a74338480aaa3
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Fri Aug 24 22:50:21 2012 +0200

    tests/prime_nv_test: add missing call for test8

commit c5b7ebc1cc4ecb4db8e691ba0d935826c6da2ebf
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Fri Aug 24 22:49:40 2012 +0200

    tests/prime_nv_pcopy: kill debug code that's not upstream

commit 94ec3f926c2a8e0706a93b20892aa1a25a504e99
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Aug 24 15:45:09 2012 +0200

    tests/prime_nv: don't enable buffer reuse
    
    We share these suckers, hence the fd-local libdrn instance does not
    have full control over the lifecycle of the object. Prevents the tests
    from blowing up with
    
    [drm:i915_gem_mmap_gtt] *ERROR* Attempting to mmap a purgeable buffer
    
    and similar things.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit d4005511443e385b54b11754681f7bf44b6d9796
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Thu Aug 23 11:37:09 2012 -0700

    Converted a display debug script for use by designers
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit ea944a9faf137e95b146ce8a1fb15d7e4cb8ae41
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Thu Aug 23 11:32:57 2012 -0700

    intel_reg_read: use strtol instead of atoi
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit baf026d692c25969c3a30fcd50394c83f3f20815
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Thu Aug 23 11:29:43 2012 -0700

    intel_reg_read: support -c option to read multiple dwords
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 4fc76adf313f2792b7438f9372321ce3ea66c6c2
Author: Vijay Purushothaman <vijay.a.purushothaman@intel.com>
Date:   Fri Aug 17 18:06:52 2012 +0530

    tools: Added intel_dpio_read and intel_dpio_write
    
    In Valleyview the DPLL and lane control registers are accessible only
    through side band fabric called DPIO. Added two tools to read and write
    registers residing in this space.
    
    v2: Moved the core read/write functions to lib/intel_dpio.c based on
    Ben's feedback
    
    Signed-off-by: Vijay Purushothaman <vijay.a.purushothaman@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 082826de6c66ff76c444434cd56aaf6df80027b3
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Aug 15 10:26:08 2012 +0200

    tests: add gem_gtt_cpu_tlb
    
    This catches tlb invalidation issues on my snb mobile gt2+

commit c407722048cee255be0e02ccf27d010ad3c7a6f6
Author: Wang Xingchao <xingchao.wang@intel.com>
Date:   Wed Aug 15 16:13:38 2012 +0800

    intel_audio_dump: add Haswell audio dump support
    
    Add Haswell audio registers definition and dump support.
    
    Signed-off-by: Wang Xingchao <xingchao.wang@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit f9a2481e717fcd8c8bd363f9084743ce885aa1d4
Author: Wang Xingchao <xingchao.wang@intel.com>
Date:   Wed Aug 15 16:13:37 2012 +0800

    intel_audio_dump: fix wrong port definition
    
    there're three Ports B/C/D used for selection by each transcoder A/B/C.
    
    Signed-off-by: Wang Xingchao <xingchao.wang@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 1f523bd8d10c0b67fc8a026633bcaa416ea03d9c
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Tue Aug 14 18:51:19 2012 +0200

    Fixup previous commit
    
    ENODEV not being defined and return code wrong

commit 3dda35744561e61cd6a63a75eb77bc4d67643f27
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Tue Aug 14 18:50:29 2012 +0200

    And add another corner case skip

commit 0f65ee9576dcfe3f9b82dcda47fd8744874c4ccb
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Tue Aug 14 18:48:48 2012 +0200

    fix crash with insufficient permissions

commit fc54f2eaa8f55ceb4955d31ef6d8b36645c6910f
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Tue Aug 14 18:25:50 2012 +0200

    satisfy danvet's OC
    
    and add skip codes, but mostly satisfy danvet's OCD

commit 4520025b7320cad238333793f36aadd466adb7ba
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Mon Aug 13 15:57:57 2012 +0200

    Add intel <-> nouveau prime tests

commit 0efa6c7b2725f67d742f194a0c88291b7b3edffa
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 7 18:16:34 2012 +0200

    tools/reg_dumper: really dump pipe C regs
    
    Not just a copy of pipe B. Meh.
    
    Also kill a few redudant #define for pipe B - they match pipe A.

commit 9fcaffda887a8ea20135e48368b44037a4750c63
Author: Yi Sun <yi.sun@intel.com>
Date:   Wed Aug 8 14:35:20 2012 +0800

    Update the image file pass.png with higher correction level
    
    Signed-off-by: Yi Sun <yi.sun@intel.com>

commit f669e8c12ebaae6f3638593d564358e5ab43d24c
Author: Yi Sun <yi.sun@intel.com>
Date:   Wed Aug 8 14:32:04 2012 +0800

    tests/testdisplay.c Remove an uncomfortable error output
    
    Signed-off-by: Yi Sun <yi.sun@intel.com>

commit 5ba39da67e4bc2a17e2e3d8e8a06386ebc5a5ae8
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Mon Aug 6 15:05:28 2012 -0300

    lib: add more Haswell PCI IDs
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Reviewed-by: Rodrigo Vivi <rodrigo.vivi@gmail.com>

commit f56a289aa86e591243c07b17d9bdf22e5e82de8a
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Aug 7 14:50:54 2012 +0200

    tools/reg_dumper: dump pipe C regs
    
    Also reorder the pipe B regs a bit to be consisten with pipe A.

commit 81f16261f4d5d2cb1217569cc6580c0326b9eae2
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sun Aug 5 21:40:56 2012 +0200

    tests/gem_reg_read: actually wait a bit between reading TIMESTAMP reg
    
    QA could only hit this on ilk because the timer increase quite a bit
    slower on that platform than on gen6+ (80ns vs 320ns, iirc).
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=52937

commit 41fe811feb5c79c760f5d2e9fe5d1671f6d71ff8
Author: Yi Sun <yi.sun@intel.com>
Date:   Thu Jul 26 14:23:36 2012 +0800

    tests/testdisplay.c: Add a option '-r'.
    
    With the option '-r', the testdisplay could paint a 2-D bar code(QR
    bar code) on the screen. The word "pass" is hiden in the bar code
    image.  Further more, with this option, testdisplay will wait until a
    system signal 'SIGUSR1' coming after each mode setting. This function
    is for another program to control testdisplay.
    
    danvet: Fix up the missing static.
    
    Signed-off-by: Yi Sun <yi.sun@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 3b0f80308a033633be6b903fa2a55128dfd99339
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Wed Jul 25 16:04:32 2012 +0100

    build: Make autoreconf honour ACLOCAL_FLAGS
    
    When running autoreconf, it's possible to give flags to the underlying
    aclocal by declaring a ACLOCAL_AMFLAGS variable in the top level
    Makefile.am.
    
    Putting ${ACLOCAL_FLAGS} there allows the user to set an environment
    variable up before running autogen.sh and pull in the right directories
    to look for m4 macros, say an up-to-date version of the xorg-util macros.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>

commit efa5e355ac371d749cf505b952b900d05f25474c
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 19:55:21 2012 +0200

    test/flip_test: don't fail if we can't find a crtc
    
    some connectors are forced to certain crcs ...

commit c832aa1714a47516e6b9402709d66720c464393f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jul 23 11:25:47 2012 +0200

    tests: fixup prime test paranoia

commit 5d9e22366b37b725358d22dbee47e094f7157974
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jul 23 10:06:25 2012 +0200

    tests/prime: more paranoia
    
    - check the old contents first in check_bo
    - drop all GEM handles for the re-import test

commit 796f6193c9697e0ae57970a8c48cc9bb3a69877d
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jul 23 09:51:12 2012 +0200

    tests: add missing stuff to .gitignore
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 6bc22e3dfd2cf143c2a9abcb72738a1674ce2fc5
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jul 23 09:49:06 2012 +0200

    tests: add basic re-importing prime test
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit fb748aad4cc8b178801f286e947b251d29764da5
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Mon Jul 23 06:41:10 2012 +0200

    tests: s/drm_reg_read/gem_reg_read
    
    gem_ is the prefix for low-level kernel tests, drm_ tests
    libdrm_intel specific stuff.

commit 434be47f12c390659bf0dabd8ebea8ea37f8f26a
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sat Jul 21 17:36:36 2012 +0200

    shut up the compiler a bit
    
    Signed-Off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 4c9abd5aa460572899c4890fcc833d57ee025073
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Sun Jul 22 16:30:04 2012 -0700

    reg_read: use good offset, and errno
    
    The test was bonghits.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 58cfeabb90a9bef742df53e2602966a2166e37b9
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Wed Jul 18 11:47:42 2012 -0700

    reg_read: skip older kernels
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 4fe786953962d9603d15ea82c97ea5f6e57ba8be
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Wed Jul 11 17:06:01 2012 -0700

    reg_read: basic register read ioctl test
    
    This will need to get modified when the ioctl expands, and so is only
    here for reference/to make Daniel happy.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit d9fb72e26698562367df53909ade0d34520f88f0
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jul 13 10:35:11 2012 +0200

    tests: improve concurrent blit tests
    
    By adding another testcase that follows up with a gpu read. This
    checks whether the kernel properly tracks the pending write and
    doesn't lose it (or sync up to the wrong seqno).
    
    For some odd reason only the cpu mmap variant blows up, the gtt one
    works here. I need to look into that some more.
    
    Signed-Off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit fbd6d0495969ffab5902e3e8e39dc4687806ae0c
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Tue Jul 3 11:04:05 2012 -0700

    gem_ctx_basic: fixes
    
    I must have checked in the wrong version the first time.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit e843c55370e85c147b9e4ca9b26cf0902a1b322c
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Tue Jul 3 10:40:32 2012 -0700

    ctx_basic: we stopped using rendercopy
    
    so get rid of the remants. perhaps we'll use it again someday.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit cbb3c685b59aeb41a6ce94bc47f0bf255c87df60
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Sat Jun 30 19:26:59 2012 -0700

    rendercopy_gen7: add support for haswell
    
    Only compile tested.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit afcffe783a12472e60d4cd0f2ebdc89e2f5b2def
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Thu Jun 14 11:04:01 2012 -0700

    context_basic: the most stressful context test to date.
    
    this context test requiring libdrm updates
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit a635a5ac3bb72b8ac13f020b610b71d97499a1fb
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Sun Jan 15 14:52:33 2012 -0800

    context: libdrm wrappers
    
    This wraps libdrm functionality to exec with contexts. This patch
    shouldn't be applied until libdrm for contexts is updated.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit c157e9485e6a96fa359f8236f43475bc2095e1e2
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Fri Jun 29 11:23:34 2012 -0700

    intel: update libdrm requirement
    
    We want context APIs in order to use our super context test.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit beb1bb8fd26b1b1c55242c3b2a3004a346d64b80
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Thu Jun 28 22:43:47 2012 -0700

    gem_stress: use the gen7 rendercopy
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 2234f87a0852f321a6f85e8fcd6fbb6866f9c944
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Thu Jun 28 22:42:58 2012 -0700

    lib: add a gen7 rendercopy
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit ab0460eaac85fdd66328ccba511519397cea0ddb
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Wed Jun 27 11:13:23 2012 -0700

    ctx_bad_destroy: danvet changed to ENOENT
    
    In all fairness if the test worked, he would have found this earlier
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 278e53b5c42f4bf1dcabf82aab2f211e6994ed06
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Wed Jun 27 11:13:06 2012 -0700

    ctx_bad_destroy - ioctl is 2e, not 23
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 1136f61298979912e7edfa94a56437f7c9c5499b
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Wed Jun 27 11:07:09 2012 -0700

    ctx_bad_destroy: a little more description is nice
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 76b53ef68d39063c4b0203aa8db2b32dcce1e3b4
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Jun 26 19:47:30 2012 +0200

    tests/gem_wait_rendering_timeout: needs more fudge
    
    Due to the way we calculate the workload by doubling it each time we
    might end up with almost twice as much as we want. Hence increase our
    fudge by 1.5 to account for that.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=50666

commit c6fe31bc473a7ae44bc42bad7da5faca3c924821
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Thu Jun 21 14:31:34 2012 -0300

    intel_reg_dumper: use intel_register_access_init/fini
    
    We need to hold forcewake lock in order to be able to read GT registers.
    Otherwise, when the GPU is in RC6 mode, we'll read all zeros.
    
    Signed-off-by: Eugeni Dodonov <eugeni.dodonov@intel.com>

commit f7e356d9cd7795de055a9f3c13bb33f5c9bea01f
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Thu Jun 14 10:00:57 2012 -0700

    context tests not requiring libdrm
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 5a28ef8580a83375fc663b84873c4e18207ed3fb
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Sun Mar 18 18:42:44 2012 -0700

    context: update for new execbuf2 element
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit b28a399dcd8d28b6b9bde4baa105f9e78e520122
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Wed Jun 13 15:34:40 2012 -0300

    intel_reg_dumper: dump more PM registers
    
    Signed-off-by: Eugeni Dodonov <eugeni.dodonov@intel.com>

commit 34240176c15968e9f25e154d7a1111bb7b0af8af
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Mon Jun 11 12:08:32 2012 -0700

    add VLV PCI ID
    
    This allows the tests to run on the prototype boards.

commit b015a25e897d8b2d79d5938d10e35803ce4dfa2c
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Jun 8 19:35:19 2012 +0200

    tests/debgufs_emon_crash: make it quiet

commit 9739401fb5806d576f0bc895239e67d86352d417
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jun 7 16:37:02 2012 +0200

    intel_reg_dumper: dump pre-pch-split blc regs

commit 77586dcdf7240aebf29d3d70313dce9d79108147
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jun 4 17:29:20 2012 +0100

    test/gem_gtt_speed: Add a baseline test for the performance of a CPU mmap
    
    When looking at the pwrite/pread/wc performance, it is useful to judge
    that against the performance of an ordinary CPU mmap.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Acked-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit b558877f6e25663ece1242f1e658cf1630d7d7fe
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu May 31 15:45:17 2012 +0200

    test/sysfs_l3_parity: skip test if the sysfs interface doesn't exist

commit 4cf1b02e96b276fcd707d26c9533ab4bfad54739
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu May 31 15:45:17 2012 +0200

    test/sysfs_l3_parity: fixup logic
    
    It didn't fail properly.

commit 55fdd7f1bb4cd5044dbbb4822180a91a9a4c0dd2
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu May 31 13:49:32 2012 +0200

    cleanups after l3_parity merge
    
    - call it sysfs_l3_parity for more consistency
    - add .gitignore for intel_l3_parity

commit dac1a2cedae1118cfa4ae5a4667cd715487cfcf2
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Fri May 25 16:56:27 2012 -0700

    tests/dpf: simple dpf test
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 8f7ea34751886ca754e6246a9d400de18c6a972f
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Fri May 25 16:56:26 2012 -0700

    tools/dpf: Tool to read and write l3 remap registers.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit a35dcac0ff7310bc431c14419874e9653d0d2725
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed May 30 20:16:24 2012 +0200

    tests/gem_wait_rendering_timeout: check polling behaviour
    
    ... with timeout=0. We have special code in the kernel to optimize
    that one.

commit b8e00110a0556fb7edde5dcb3ed0ff3d728c5552
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 22:23:14 2012 +0200

    lib/gem_wait_rendering_timeout: sprinkle busy_ioctl checks
    
    While we have that testcase, let's cross-check the busy ioctl.

commit bfbe813f8fb587017c4e1d73c51395c2837eb395
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 22:14:06 2012 +0200

    lib: fix gen5 workaround emission
    
    Using BEGIN_BATCH can lead to a nice inf recursion through require_space
    -> flush_batch -> BEGIN_BATCH.
    
    Also fix things up to always require BATCH_RESERVED. We need 2 dwords
    for the gen5 workaround and 2 dwords for MI_BB_END.

commit 04dfa492d195e063a07053815ff541b4351b0097
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 16:52:23 2012 +0200

    tests/gem_wait_rendering_timeout: test the timeout case
    
    When I've first tried this it somehow failed, but I can't reproduce
    this any more. I guess I've hunted a ghost.

commit b711bfe54f74c6a4337f978e6bef4c47a2f2ea9e
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 16:49:41 2012 +0200

    tests/gem_wait_rendering_timeout: fix up the autotuner
    
    duuh

commit 95877ab9ce137e52128b34acab343273b46404dd
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 16:35:35 2012 +0200

    tests/gem_wait_rendering_timout: adjust .gitignore

commit 2952feb23f303e0c7afe5ce9c92002abecd7a75f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 16:35:11 2012 +0200

    tests/get_wait_rendering_timeout: fixup the auto-tuner
    
    - start at 1 iterations
    - actually adjust the number of iterations like the comment claims

commit cf979c20636814389adcf969c5858a915a97571f
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 16:34:32 2012 +0200

    tests/gem_wait_rendering_timeout: some fixes for the blt function
    
    - widht/height are in pixel, and the cmd uses 32bit, so we need to
      adjust this.
    - we write to the buffer, set the right reloc domain.

commit 25bf5574a2252311bf5c0c691e728e8ffd47161e
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 16:23:41 2012 +0200

    tests/gem_wait_rendering_timeout: properly skip test
    
    also assign the timeout value unconditionally, we want to know it even
    when we've timeout out.

commit f14a045137ea804625439fc7ac3144e46a12d3ae
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 29 16:14:31 2012 +0200

    tests/gem_wait_rendering_timeout: make it compile
    
    ... we need to do this libdrm depency dance. Or just copy&paste it.

commit 9cfcb75b79829230dc9dde1247a82ffe8b0b9702
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Fri May 11 13:54:12 2012 -0700

    tests/wait render timeout test
    
    Assures that signals interrupting the wait works properly. Because of
    the scheduling around signals, interrupted waits will *seem* faster as
    the GPU continues to work while all the CPU scheduling stuff happens.
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit c26b5ee72f3a2ac3ddef309e181daab9e5128ae9
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri May 25 11:29:28 2012 +0200

    tests: fixup type in module_reload
    
    Oops, I've frobbed this to test the check but committed the wrong
    version.

commit 3985d9b976f4daabb9adea38735d9c9b77da7fac
Author: root <daniel.vetter@ffwll.ch>
Date:   Fri May 25 11:26:53 2012 +0200

    tests: add some help to module_reload
    
    ... so that it's easier to get the kernel configuration right.

commit a628d564709aec0dda98ae71c24bff7cfe9268c0
Author: root <daniel.vetter@ffwll.ch>
Date:   Fri May 25 11:02:09 2012 +0200

    tests: add module reload testcase
    
    We've broken this way too often in the past.

commit 2448a75ff6127a03404e659a5e1046236eef41d4
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed May 23 11:37:04 2012 +0200

    tests/hangman: fix when run with absolute path
    
    QA's test rig does that.

commit 96c2fc82ba0be6c0e1ae8f675ccc97714aa08e11
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 19:54:22 2012 +0200

    test/flip_test: fail harder
    
    We want testcase to return non-zero if they fail ...

commit 17787f30c6f05edb40da1a1fc0074bee2e09e779
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 16:15:15 2012 +0200

    lib: extract kmstest_dump_mode

commit b7aa6756ce770f44280e1369dd7fbf9761f3cdb7
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 16:01:32 2012 +0200

    test/flip_test: use kmstest_create_fb
    
    And bring back some frame indication that actually works.

commit 662d73219976ca820f878f63b5222e22e17c6328
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 14:37:19 2012 +0200

    lib: extract kmstest_create_fb
    
    We should get more kms tests soon, and not needing to copy-paste a
    nice test pattern should be useful.
    
    That establishes a firm depency of i-g-t on cairo over everything, but
    I don't care so much about that.
    
    Signed-Off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 0732cc59abc06151b8756a6890f13885cde7403b
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 12:01:36 2012 +0200

    tests: use drm_open_any more
    
    And fix it up to not leak open fds, which kills all the master only
    stuff.

commit a5e6897d10962e4bdfa657ce704bc111a4a4c663
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 10:57:17 2012 +0200

    tests/flip_test: rip out usage
    
    Totally useless if the only option is "-h"

commit 1fedd1db41bfe1815654a726480e430591db344d
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 10:53:38 2012 +0200

    tests: add flip_test to .gitignore

commit 9e620146f704549c7203632f63571d22a9551de3
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue May 22 10:51:29 2012 +0200

    tests/flip_test: rip out funny pictures
    
    The path isn't properly autodetected and it yells stupid stuff into
    stderr. Which causes spurious failures.
    
    And really, these are automated tests. If you need to look at the output,
    something is wrong.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 984e44f88bad9b39bd5bb9c449f6bfb0580660ae
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Fri Apr 27 16:14:34 2012 -0300

    intel_infoframes: options -p and -P require an argument
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>

commit e6b264cce7799d822bc8a1b0e493cf5dee112f85
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Wed May 16 10:14:55 2012 -0300

    intel_gpu_top: allow to work on Gen7
    
    Somehow nobody noticed this before, but we were missing blt and bsd6
    initialization on Gen7.
    
    Reported-by: Philippe Lecluse <philippe.lecluse@intel.com>
    Signed-off-by: Eugeni Dodonov <eugeni.dodonov@intel.com>

commit 544e35785198045d76d8f11ee414c7f1661ffc77
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu May 10 20:25:33 2012 +0200

    tests/gtt_speed: try to outwit gcc
    
    It optimized away the read loops ;-)
    
    Also fix up the size to not be 1/4th of the one we want for tiled
    buffer tests.
    
    Signed-Off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 78c38dcddb79052a964081c470bb2641fb3daf95
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed May 9 14:06:28 2012 +0100

    tests/gem_tiled_pread_pwrite fix progname for pretty print progress
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 412e7b341f40a2d21067c7059a64e500945d6433
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed May 9 13:50:53 2012 +0100

    intel_error_decode: Be more lax for whitespace around parsing PCI-ID
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3986d9faf343639dc9ceec23e880a99f4fcea365
Author: Eugeni Dodonov <eugeni.dodonov@intel.com>
Date:   Tue May 8 15:55:05 2012 -0300

    tools: add Haswell registers into intel_reg_dumper
    
    For now, only print their content for diffing, but also add the necessary
    bits that can be used for more verbose output in the fugure.
    
    Signed-off-by: Eugeni Dodonov <eugeni.dodonov@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit e70b7de8cea142a7aa2b4c08cdbd7484d7b39e14
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Mon May 7 12:57:05 2012 -0700

    tests/flip_test: test on each CRTC for each detected output
    
    This allows us to test on 3 pipe configs for example.

commit 362599ac1042eeca52ebbfca646a975a989ff38f
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Mon May 7 12:36:28 2012 -0700

    tests: add simple flip test
    
    Add a simple flip test to test flipping on a single output with the
    preferred mode.
    
    TODO: test each crtc for 3s and print pass/fail results

commit c6f42f4cca10cb644c7f91d1fd3e625dba505eb0
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Sat Apr 28 20:10:09 2012 -0700

    intel_infoframe: fix assertion off by 1
    
    this makes my compiler very unhappy
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 43fda53199afba7788549d4d290bb0874459fa2d
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Sat Apr 28 20:07:40 2012 -0700

    chipset: accidentally left the old IS_GEN7 macro
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit 97198ccbe1546e0249c3a7885d778e46cb538877
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Apr 27 14:08:34 2012 +0200

    test/ZZ_hangman: adjust to new error_state reset semantics
    
    Signed-Off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 9898083fa2841a73227515cbe2659c99f353db95
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Apr 24 18:10:25 2012 -0300

    intel_infoframes: add support for Gen 4
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 0611af4a33e443767ce2bdadac08f6f0680dbb9e
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Apr 24 18:10:24 2012 -0300

    intel_infoframes: AVI InfoFrame version should be 2
    
    Signed-off-by: Paulo Zanoni <paulo.r.zanoni@intel.com>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit 4d053f97db7759c51c2299b401e166b09efad87e
Author: Ben Widawsky <ben@bwidawsk.net>
Date:   Wed Apr 25 13:33:17 2012 -0700

    chipset updates
    
    Signed-off-by: Ben Widawsky <ben@bwidawsk.net>

commit bb40c7e8df2183449e6e252556b9c176d516caeb
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Apr 25 13:21:38 2012 +0200

    test: fix up hangman script and enable by default
    
    Signed-Off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

commit cf72da57dcc1baeaaff71250a82b40ab324b7590
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Sun Apr 22 12:35:23 2012 +0200

    tests: add gem_unfence_active_buffers
    
    Unfortunately this requires slab poisoning to catch anything :(
    
    Also add a new helper to drmtest to get the available fence count.
    
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
